<?php

namespace App\Form\Input;

class Select_ServiceCancelReason extends \Engine\Form\Input\Select
{
	/**
	 * (non-PHPdoc)
	 * @see \Engine\Form\Input\Select::determinePossibleValues()
	 */
	protected function determinePossibleValues()
	{

		\Entity\Service::loadCFG();
		$CFG = \Engine\Loader_Cfg::getInstance()->getGlobal();
		$_LANG = \App\Loader_Lang::getInstance()->getGlobal();

		$list = [];
		foreach ($CFG['globalEntity']['::Service']['_special']['serviceCancelReasons'] as $cancelReason) {
			$list[$cancelReason] = $_LANG['serviceCancelReason'][$cancelReason];
		}

		return $list;

	}

}
